<div class="container">
    <h2>Approval PP Non Rutin</h2>
    <div *ngIf="!isview">
        <div>
            <div class="input-group w-100 mt-3">
                <div class="ui-g-8" *ngIf="selected.length > 0">
                    <button pButton (click)="approvePP()" label="Approve PP"
                        class="ui-button-primary flat-label-button">
                    </button>
                    <button pButton (click)="notApprovePP()" label="Not Approve PP"
                        class="ui-button-primary flat-label-button">
                    </button>

                </div>
                <div class="ui-g-3">
                </div>
            </div>
        </div>
        <!-- <div class="modal-body"> -->
        <div class="row">
            <div class="col-sm-12">
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="Cari Nomor PO">
                        <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
            </div>
        </div>
        <p-dataTable [value]="purchaseOrders" [editable]="false" [rows]="itemsPerPage" [paginator]="true"
            [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true"
            [lazy]="true" dataKey="idPurchaseOrder" (onLazyLoad)="loadDataLazy($event)" [(selection)]="selected"
            (onRowSelect)="onRowSelect($event)" (onRowUnselect)="onRowUnselect($event)">
            <p-header>
            </p-header>
            <!-- <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column> -->
            <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Nomor PP">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.noPurchaseOrder}}
                </ng-template>
            </p-column>

            <p-column header="Tanggal Buat">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtOrder | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Nama Input">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.createdBy}}
                </ng-template>
            </p-column>
            <p-column header="Divisi">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.divition}}
                </ng-template>
            </p-column>
            <p-column header="PIC">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.appPembelian}}
                </ng-template>
            </p-column>
            <p-column header="Lampiran">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <button class="text-center" pButton type="button" (click)="openPDF1(rowData.idPurchaseOrder)"
                        icon="fa-file" pTooltip="Preview Attachment" class="flat-button">
                    </button>
                </ng-template>
            </p-column>
            <p-column header="Aksi">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        <div class="ui-g-6">
                            <button pButton type="button" icon="fa-print" class="flat-button" (click)="PrintPP(rowData)"
                                pTooltip="Print PP">
                            </button>
                        </div>
                        <div class="ui-g-6" *ngIf="idstatus === 24" [hidden]="user === 'deb' || user === 'DEB'">
                            <button pButton type="submit" icon="fa-check" class="flat-button" pTooltip="Approve PP"
                                (click)="approve(rowData)">
                            </button>
                            <button pButton type="submit" icon="fa-ban" class="flat-button" pTooltip="Not Approve PP"
                                (click)="notapprove(rowData)">
                            </button>
                        </div>
                        <div class="ui-g-6" *ngIf="idstatus === 11" [hidden]="user === 'deb' || user === 'DEB'">
                            <button pButton type="submit" icon="fa-times" pTooltip="Batal Approved PP"
                                (click)="cancelApp(rowData.idPurchaseOrder,rowData)" class="flat-button">
                            </button>
                        </div>

                    </div>
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>

    <!-- ------------------ LIHAT CETAKAN ---------------------- -->
    <div *ngIf="isview">
        <form name="printForm" role="form" novalidate #editForm="ngForm"></form>
        <div>
            <button pButton type="submit" label="print" icon="fa-print" class=" ui-button-success flat-label-button"
                (click)="print()">
            </button>
            <button pButton type="submit" label="Download" icon="fa-download" class="ui-button-info flat-label-button"
                (click)="downloadBlob()">
            </button>
            <button pButton label="Back" class="ui-button-danger flat-label-button" (click)="backPage()">
            </button>
        </div>
        <div>
            <pdf-viewer [src]="pdfSrc" [render-text]="true" style="display: block;" [show-all]="true"></pdf-viewer>
        </div>
        </form>
    </div>

</div>
<p-dialog header="Catatan" [(visible)]="newModalNote" modal="true" [width]="900">
    <form name="notesForm" role="form" novalidate (ngSubmit)="setNotApprovePO()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <label for="">Note Not Approve</label>
            <textarea pInputTextarea class="form-control" id="field_notes2" name="notes2" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="ketNotApp">
            </textarea>

            <div *ngIf="purchaseOrder.appManajemen != user">
                <br />
                <br />
                <label for="">File Attachment Permintaan Action PP</label>
                <div>
                    <img [src]="'data:' + dataNewRow.contentContentType + ';base64,' + dataNewRow.content"
                        style="max-height: 300px;" *ngIf="dataNewRow.content" alt="  PP" />
                    <div *ngIf="dataNewRow.content" class="form-text text-danger clearfix">
                        <span class="pull-left">{{dataNewRow.contentContentType}},
                            {{byteSize(dataNewRow.content)}}</span>
                        &nbsp;&nbsp;&nbsp;
                        <button type="button" (click)="clearInputImage('content', 'contentContentType', 'file_content')"
                            class="btn btn-secondary">
                            <span class="fa fa-times"></span>
                        </button>
                        <button type="button" (click)="openPDFAttach('content', 'contentContentType')"
                            class="btn btn-secondary">
                            <span class="fa fa-eye"></span>
                        </button>
                    </div>
                    <input type="file" id="file_content" (change)="setFileData($event, dataNewRow, 'content', true)"
                        accept=".pdf,.doc,.docx, image/*" jhiTranslate="entity.action.addimage" />
                    <div [hidden]="!isValidImage" class="text-danger">
                        {{'mpmApp.document.fileLimit' | translate}}
                    </div>
                    <div>
                        <small>max file size: {{maxFileSize | ByteSize}}</small>
                    </div>
                    <!--START INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                    <input type="text" style="display:none;" name="isInsertFile" [(ngModel)]="isInsertFile" required>
                    <!--END INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                </div>

                <input type="hidden" class="form-control" name="content" id="field_content"
                    [(ngModel)]="dataNewRow.content" />
                <input type="hidden" class="form-control" name="contentContentType" id="field_contentContentType"
                    [(ngModel)]="dataNewRow.contentContentType" />
            </div>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Not Approve" icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>
<p-dialog header="Attachment File Permintaan Approve" [(visible)]="newModalAttachment" modal="true" [width]="900"
    (onHide)="backapp()">
    <form name="notesForm1" role="form" novalidate (ngSubmit)="setAttachment()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <!-- <textarea pInputTextarea class="form-control" id="field_notes2" name="notes2" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="ketNotApp">
            </textarea> -->
            <div class="form-group">
                <label for="">File Attachment Permintaan Action PP</label>
                <div>

                    <img [src]="'data:' + dataNewRow.contentContentType + ';base64,' + dataNewRow.content"
                        style="max-height: 300px;" *ngIf="dataNewRow.content" alt="  PP" />
                    <div *ngIf="dataNewRow.content" class="form-text text-danger clearfix">
                        <span class="pull-left">{{dataNewRow.contentContentType}},
                            {{byteSize(dataNewRow.content)}}</span>
                        &nbsp;&nbsp;&nbsp;
                        <button type="button" (click)="clearInputImage('content', 'contentContentType', 'file_content')"
                            class="btn btn-secondary">
                            <span class="fa fa-times"></span>
                        </button>
                        <button type="button" (click)="openPDFAttach('content', 'contentContentType')"
                            class="btn btn-secondary">
                            <span class="fa fa-eye"></span>
                        </button>
                    </div>
                    <input type="file" id="file_content" (change)="setFileData($event, dataNewRow, 'content', true)"
                        accept=".pdf,.doc,.docx, image/*" jhiTranslate="entity.action.addimage" />
                    <div [hidden]="!isValidImage" class="text-danger">
                        {{'mpmApp.document.fileLimit' | translate}}
                    </div>
                    <div>
                        <small>max file size: {{maxFileSize | ByteSize}}</small>
                    </div>
                    <!--START INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                    <input type="text" style="display:none;" name="isInsertFile" [(ngModel)]="isInsertFile" required>
                    <!--END INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                </div>

            </div>


            <input type="hidden" class="form-control" name="content" id="field_content"
                [(ngModel)]="dataNewRow.content" />
            <input type="hidden" class="form-control" name="contentContentType" id="field_contentContentType"
                [(ngModel)]="dataNewRow.contentContentType" />
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Approve" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>
<!-- <p-confirmDialog></p-confirmDialog> -->